Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class ActionLogEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.bgsecure.common.bean.ActionLogEntry

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class ActionLogEntry
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ActionLogEntry()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.util.Date` | `getDatetime()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getModuleTitle()` |
  `java.lang.String` | `getQuery()` |
  `int` | `getUserId()` |
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setDatetime​(java.util.Date datetime)` |
  `void` | `setModuleId​(int mid)` |
  `void` | `setModuleTitle​(java.lang.String moduleTitle)` |
  `void` | `setQuery​(java.lang.String query)` |
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionLogEntry

    public ActionLogEntry()

- ## Method Details

  - ### getDatetime

    public java.util.Date getDatetime()

  - ### setDatetime

    public void setDatetime​(java.util.Date datetime)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getAction

    public java.lang.String getAction()

  - ### setAction

    public void setAction​(java.lang.String action)

  - ### getQuery

    public java.lang.String getQuery()

  - ### setQuery

    public void setQuery​(java.lang.String query)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int mid)

  - ### getModuleTitle

    public java.lang.String getModuleTitle()

  - ### setModuleTitle

    public void setModuleTitle​(java.lang.String moduleTitle)